#
#  FILE NAME:
#      http.py
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#


class HttpResponse( object ):
    class statusCodes:
        ok        = 200
        redirect  = 302
        forbidden = 403

    def __init__( self ):
        self._statusCode = self.statusCodes.ok


    # ===[ Properties ]========================================================================== #

    def statusCode():
        def fget( self ):
            return self._statusCode
        def fset( self, code ):
            assert code in (self.statusCodes.ok, self.statusCodes.forbidden,
                            self.statusCodes.redirect)
        return locals()
    statusCode = property( **statusCode() )
