#
#  FILE NAME:
#      error.py
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#

# P3 imports
from p3.base import Enum, GenericException


class TestModuleError( GenericException ):
    codes = Enum( "unsupportedPythonVersion" )

    def __init__( self, code=None, msg=None ):
        super( TestModuleError, self ).__init__( "test", code, msg )

