#
#  FILE NAME:
#      error.py
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#

# P3 imports
from p3.base import GenericException
from p3.base import Enum


class ConfModuleError( GenericException ):
    codes = Enum( "invalidSettingName", "unknownSettingName", "settingsLocked",
                  "unspecifiedLogConfigFile", "unspecifiedLogOutputFile")

    def __init__( self, code=None, msg=None ):
        super( ConfModuleError, self ).__init__( "conf", code, msg )
