#
#  FILE NAME:
#      module_settings.py
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#

# Standard library modules:
import logging

# P3 modules:
from p3.base.import_helpers import ImportModule
from p3.conf.settings import Settings


_LOG = logging.getLogger( "p3.conf" )


## \todo Should be unit tested.
def ModuleSettings( modulePath ):
    m = ImportModule( modulePath )
    sd = dict([(k,v) for k,v in m.__dict__.items() if Settings.IsValidSettingName(k)])
    return Settings.CreateLocked( sd )
