#
#  FILE NAME:
#      named_row_constructor.py
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#

# P3 imports:
from p3.data.row import Row


class NamedRowConstructor(object):
    def __init__( self, namedValues ):
        self.values = namedValues

    def Create( self, table ):
        r = Row( table )
        r.FillDefault()
        r.FillByName( self.values )
        return r
