#
#  FILE NAME:
#      path.py
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#

# Standard imports:
import string

## Convert path to a form expected by django (forward slashes only - even on Windows).
#  '/home/user/something' should remain unchanged, while c:\something should be converted to
#  'c:/something'.
def DjangoPath( path ):
    return string.replace( path, '\\', '/' )
